Summary:	Terminal multiplexer
Name:		tmux
Version:	3.5a
Release:	%mkrel 2
License:	BSD
Group:		Terminals
Url:		https://tmux.github.io/
Source0:	https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	utempter-devel
BuildRequires:	bison

%description
tmux is a "terminal multiplexer". It allows a number of terminals (or
windows) to be accessed and controlled from a single terminal. It is
intended to be a simple, modern, BSD-licensed alternative to programs
such as GNU screen.


%prep
%setup -q
%autopatch -p1

%build
%configure --enable-systemd
%make_build

%install
%make_install

%files
%doc README CHANGES
%license COPYING
%{_bindir}/tmux
%{_mandir}/man1/tmux.*



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.5a-2.mga10
+ Revision: 2228669
- Mageia 10 Mass Rebuild

* Sat Oct 05 2024 solbu <solbu> 3.5a-1.mga10
+ Revision: 2103418
- New release: 3.5a

* Tue Feb 13 2024 solbu <solbu> 3.4-1.mga10
+ Revision: 2040878
- Add missing bison dependency
- New release: 3.4

* Fri Mar 10 2023 ns80 <ns80> 3.3a-3.mga9
+ Revision: 1948537
- add a patch from Ubuntu for CVE-2022-47016 (mga#31498)
- add a patch from Ubuntu to fix buffer selection when a buffer does not exist

* Sun Feb 12 2023 daviddavid <daviddavid> 3.3a-2.mga9
+ Revision: 1940815
- enable support for systemd socket activation

* Thu Sep 22 2022 solbu <solbu> 3.3a-1.mga9
+ Revision: 1891385
- New release: 3.3a

* Wed Jun 01 2022 solbu <solbu> 3.3-1.mga9
+ Revision: 1861025
- New release: 3.3

* Sat Mar 19 2022 umeabot <umeabot> 3.2a-2.mga9
+ Revision: 1799571
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 3.2a-1.mga9
+ Revision: 1738839
- 3.2a

* Tue Apr 13 2021 solbu <solbu> 3.2-1.mga9
+ Revision: 1715685
- New version: 3.2

* Thu Dec 03 2020 luigiwalser <luigiwalser> 3.1c-1.mga8
+ Revision: 1652304
- 3.1c (fixes CVE-2020-27347, mga#27569)

* Wed May 13 2020 solbu <solbu> 3.1b-1.mga8
+ Revision: 1583446
- Replace deprecated %%makeinstall
- New version: 3.1b

* Tue Feb 18 2020 umeabot <umeabot> 3.0a-2.mga8
+ Revision: 1539648
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 11 2019 solbu <solbu> 3.0a-1.mga8
+ Revision: 1465863
- New version: 3.0a
- Clean SPEC file

* Sat Jul 13 2019 daviddavid <daviddavid> 2.9a-1.mga8
+ Revision: 1420856
- new version: 2.9a

* Tue Dec 25 2018 daviddavid <daviddavid> 2.8-2.mga7
+ Revision: 1344989
- add upstream patch to fix CVE-2018-19387 (mga#24054)

* Fri Oct 19 2018 daviddavid <daviddavid> 2.8-1.mga7
+ Revision: 1322281
- new version: 2.8

* Sun Sep 23 2018 umeabot <umeabot> 2.7-2.mga7
+ Revision: 1301428
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 2.7-1.mga7
+ Revision: 1229954
- new version: 2.7

* Sat Oct 14 2017 joequant <joequant> 2.6-1.mga7
+ Revision: 1171741
- upgrade to 2.6

* Wed Sep 06 2017 joequant <joequant> 2.5-1.mga7
+ Revision: 1151678
- update to 2.5

* Thu Feb 16 2017 mrambo3501 <mrambo3501> 2.3-2.mga6
+ Revision: 1086429
- rebuild for new libevent

* Tue Oct 04 2016 ngompa <ngompa> 2.3-1.mga6
+ Revision: 1058483
- Upgrade to 2.3

* Mon Feb 01 2016 solbu <solbu> 2.1-1.mga6
+ Revision: 929879
- New version: 2.1
- New upstream url and Source
- Drop P0: Implemented upstream

* Wed Sep 02 2015 blino <blino> 2.0-2.mga6
+ Revision: 872306
- add upstream patch to fix missing cursor with emacs-in-tmux-in-tmux

* Mon Jun 29 2015 solbu <solbu> 2.0-1.mga6
+ Revision: 847479
- New version

* Wed Oct 15 2014 umeabot <umeabot> 1.9a-3.mga5
+ Revision: 744824
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9a-2.mga5
+ Revision: 689908
- Mageia 5 Mass Rebuild

* Mon Mar 03 2014 solbu <solbu> 1.9a-1.mga5
+ Revision: 598837
- New version

* Mon Oct 21 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 540746
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 solbu <solbu> 1.8-2.mga4
+ Revision: 494227
- Rebuild for ncurses/tinfo split

* Sat Mar 30 2013 mitya <mitya> 1.8-1.mga3
+ Revision: 406693
- New version 1.8

* Mon Jan 14 2013 umeabot <umeabot> 1.7-3.mga3
+ Revision: 384625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 solbu <solbu> 1.7-2.mga3
+ Revision: 310621
- Spec cleanup

* Wed Oct 24 2012 dams <dams> 1.7-1.mga3
+ Revision: 309679
- new version 1.7
- remove useless patch
- clean specfile

* Mon Jan 30 2012 lebedov <lebedov> 1.6-1.mga2
+ Revision: 203412
- Update to 1.6.

* Thu Sep 01 2011 kharec <kharec> 1.5-1.mga2
+ Revision: 137523
- new version 1.5
- use macro %%configure2_5x in build section

* Mon May 16 2011 misc <misc> 1.4-2.mga1
+ Revision: 99272
- add patch to fix CVE-2011-1496 , bug 1299

* Fri Feb 18 2011 misc <misc> 1.4-1.mga1
+ Revision: 53377
- imported package tmux


* Wed Dec 29 2010 Lev Givon <lev@mandriva.org> 1.4-1mdv2011.0
+ Revision: 625751
- Update to 1.4.

* Wed Dec 22 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-2mdv2011.0
+ Revision: 623880
- rebuilt against libevent 2.x

* Wed Jul 28 2010 Lev Givon <lev@mandriva.org> 1.3-1mdv2011.0
+ Revision: 562837
- Update to 1.3.

* Thu Mar 11 2010 Lev Givon <lev@mandriva.org> 1.2-1mdv2011.0
+ Revision: 518231
- Update to 1.2.

* Sun Dec 06 2009 Lev Givon <lev@mandriva.org> 1.1-1mdv2010.1
+ Revision: 474239
- Update to 1.1.

* Mon Jul 27 2009 Lev Givon <lev@mandriva.org> 0.9-1mdv2010.0
+ Revision: 400827
- Update to 0.9.

* Sun May 03 2009 Lev Givon <lev@mandriva.org> 0.8-1mdv2010.0
+ Revision: 371132
- Update to 0.8.

* Wed Feb 11 2009 Lev Givon <lev@mandriva.org> 0.7-1mdv2009.1
+ Revision: 339511
- Update to 0.7.

* Tue Jan 20 2009 Lev Givon <lev@mandriva.org> 0.6-1mdv2009.1
+ Revision: 331825
- import tmux


